#
# spec file for package nocpulse-db-perl
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           nocpulse-db-perl
Source0:        nocpulse-db-perl-git-8fb59f659522f803d45c3e275ebe3f171a72d634.tar.gz
Version:        3.6.3
Release:        1.4
Summary:        NOCpulse bindings for database to insert and fetch data
Url:            https://fedorahosted.org/spacewalk
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      oracle_perl <= 3.6.1

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package contains Perl bindings for database used by the NOCpulse
TSDB and SCDB classes to insert and fetch data out of a database.



%prep
%setup -q -n nocpulse-db-perl-git-8fb59f659522f803d45c3e275ebe3f171a72d634

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/
install -m644 Database.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/

%{_fixperms} $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%dir %{perl_vendorlib}/NOCpulse
%{perl_vendorlib}/NOCpulse/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 14 2010 mantel@suse.de
- Initial release of nocpulse-db-perl
